libmspub::VectorTransformation2D Class Reference

`#include <VectorTransformation2D.h>`

## Public Member Functions

| VectorTransformation2D ()
Vector2D | transform (Vector2D original) const
Vector2D | transformWithOrigin (Vector2D v, Vector2D origin) const
double | getRotation () const
double | getHorizontalScaling () const
double | getVerticalScaling () const
bool | orientationReversing () const

## Static Public Member Functions

static VectorTransformation2D | fromFlips (bool flipH, bool flipV)
static VectorTransformation2D | fromTranslate (double x, double y)
static VectorTransformation2D | fromCounterRadians (double theta)

## Private Attributes

double | m_m11
double | m_m12
double | m_m21
double | m_m22
double | m_x
double | m_y

## Friends

VectorTransformation2D | operator* (const VectorTransformation2D &l, const VectorTransformation2D &r)

## Constructor & Destructor Documentation

## VectorTransformation2D()

libmspub::VectorTransformation2D::VectorTransformation2D | ( |  | ) |

Referenced by fromCounterRadians(), fromFlips(), fromTranslate(), and operator*.

## Member Function Documentation

## fromCounterRadians()

VectorTransformation2D libmspub::VectorTransformation2D::fromCounterRadians | ( | double | theta | ) |

static

Referenced by libmspub::MSPUBCollector::setupShapeStructures().

## fromFlips()

VectorTransformation2D libmspub::VectorTransformation2D::fromFlips | ( | bool | flipH,
|  | bool | flipV )

static

Referenced by libmspub::MSPUBCollector::setupShapeStructures().

## fromTranslate()

VectorTransformation2D libmspub::VectorTransformation2D::fromTranslate | ( | double | x,
|  | double | y )

static

## getHorizontalScaling()

double libmspub::VectorTransformation2D::getHorizontalScaling | ( |  | ) | const

Referenced by getRotation(), and libmspub::writeCustomShape().

## getRotation()

double libmspub::VectorTransformation2D::getRotation | ( |  | ) | const

Referenced by libmspub::MSPUBCollector::paintShape(), and libmspub::writeCustomShape().

## getVerticalScaling()

double libmspub::VectorTransformation2D::getVerticalScaling | ( |  | ) | const

Referenced by getRotation(), and libmspub::writeCustomShape().

## orientationReversing()

bool libmspub::VectorTransformation2D::orientationReversing | ( |  | ) | const

Referenced by libmspub::writeCustomShape().

## transform()

Vector2D libmspub::VectorTransformation2D::transform | ( | Vector2D | original | ) | const

Referenced by transformWithOrigin().

## transformWithOrigin()

Vector2D libmspub::VectorTransformation2D::transformWithOrigin | ( | Vector2D | v,
|  | Vector2D | origin ) const

Referenced by libmspub::calcClipPath(), libmspub::drawEmulatedLine(), and libmspub::writeCustomShape().

## Friends And Related Symbol Documentation

## operator*

VectorTransformation2D operator* | ( | const VectorTransformation2D & | l,
|  | const VectorTransformation2D & | r )

friend

## Member Data Documentation

## m_m11

double libmspub::VectorTransformation2D::m_m11

private

Referenced by fromCounterRadians(), fromFlips(), fromTranslate(), getHorizontalScaling(), getRotation(), operator*, orientationReversing(), transform(), and VectorTransformation2D().

## m_m12

double libmspub::VectorTransformation2D::m_m12

private

Referenced by fromCounterRadians(), fromFlips(), fromTranslate(), getRotation(), getVerticalScaling(), operator*, orientationReversing(), transform(), and VectorTransformation2D().

## m_m21

double libmspub::VectorTransformation2D::m_m21

private

Referenced by fromCounterRadians(), fromFlips(), fromTranslate(), getHorizontalScaling(), getRotation(), operator*, orientationReversing(), transform(), and VectorTransformation2D().

## m_m22

double libmspub::VectorTransformation2D::m_m22

private

Referenced by fromCounterRadians(), fromFlips(), fromTranslate(), getRotation(), getVerticalScaling(), operator*, orientationReversing(), transform(), and VectorTransformation2D().

## m_x

double libmspub::VectorTransformation2D::m_x

private

Referenced by fromTranslate(), operator*, transform(), and VectorTransformation2D().

## m_y

double libmspub::VectorTransformation2D::m_y

private

Referenced by fromTranslate(), operator*, transform(), and VectorTransformation2D().

The documentation for this class was generated from the following files:

- VectorTransformation2D.h
- VectorTransformation2D.cpp